﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RenderSettingPreset : IRenderSettingPreset {

	private string name;
	private HashSet<VisualBlueprint> visualBlueprints;

	public RenderSettingPreset() {
			visualBlueprints = new HashSet<VisualBlueprint>();
	}

	public string GetName() {
		return name;
	}

	public void SetName(string name) {
		this.name = name;
	}

	public void AddVisualBlueprint(VisualBlueprint blueprint) {
		visualBlueprints.Add(blueprint);
	}

	public HashSet<VisualBlueprint> GetVisualBlueprints() {
		return visualBlueprints;
	}
}
